Package org.eclipse.rdf4j.sparqlbuilder.constraint

## Enum SparqlFunction

- java.lang.Object
- - java.lang.Enum<SparqlFunction>
  - - org.eclipse.rdf4j.sparqlbuilder.constraint.SparqlFunction

- All Implemented Interfaces:
    `Serializable`, `Comparable<SparqlFunction>`, `SparqlOperator`, `QueryElement`

      public enum SparqlFunction
      extends Enum<SparqlFunction>
      implements SparqlOperator

  The built-in SPARQL Functions. Keeping this public until `Expressions` is completed.
  See Also:
    SPARQL Function Definitions

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `ABS` |
    `BNODE` |
    `BOUND` |
    `CEIL` |
    `COALESCE` |
    `CONCAT` |
    `CONTAINS` |
    `DATATYPE` |
    `DAY` |
    `ENCODE_FOR_URI` |
    `FLOOR` |
    `HOURS` |
    `IF` |
    `IN` |
    `IRI` |
    `IS_BLANK` |
    `IS_IRI` |
    `IS_LITERAL` |
    `IS_NUMERIC` |
    `IS_URI` |
    `LANG` |
    `LANGMATCHES` |
    `LCASE` |
    `MD5` |
    `MINUTES` |
    `MONTH` |
    `NOT_IN` |
    `NOW` |
    `RAND` |
    `REGEX` |
    `REPLACE` |
    `ROUND` |
    `SAME_TERM` |
    `SECONDS` |
    `SHA1` |
    `SHA256` |
    `SHA384` |
    `SHA512` |
    `STR` |
    `STRAFTER` |
    `STRBEFORE` |
    `STRDT` |
    `STRENDS` |
    `STRING` |
    `STRLANG` |
    `STRLEN` |
    `STRSTARTS` |
    `STRUUID` |
    `SUBSTR` |
    `TIMEZONE` |
    `TZ` |
    `UCASE` |
    `URI` |
    `UUID` |
    `YEAR` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `getQueryString()` |
    `static SparqlFunction` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
    `static SparqlFunction[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ABS

          public static final SparqlFunction ABS

    - #### BNODE

          public static final SparqlFunction BNODE

    - #### BOUND

          public static final SparqlFunction BOUND

    - #### CEIL

          public static final SparqlFunction CEIL

    - #### COALESCE

          public static final SparqlFunction COALESCE

    - #### CONCAT

          public static final SparqlFunction CONCAT

    - #### CONTAINS

          public static final SparqlFunction CONTAINS

    - #### DATATYPE

          public static final SparqlFunction DATATYPE

    - #### DAY

          public static final SparqlFunction DAY

    - #### ENCODE_FOR_URI

          public static final SparqlFunction ENCODE_FOR_URI

    - #### FLOOR

          public static final SparqlFunction FLOOR

    - #### HOURS

          public static final SparqlFunction HOURS

    - #### IF

          public static final SparqlFunction IF

    - #### IN

          public static final SparqlFunction IN

    - #### NOT_IN

          public static final SparqlFunction NOT_IN

    - #### IRI

          public static final SparqlFunction IRI

    - #### IS_BLANK

          public static final SparqlFunction IS_BLANK

    - #### IS_IRI

          public static final SparqlFunction IS_IRI

    - #### IS_LITERAL

          public static final SparqlFunction IS_LITERAL

    - #### IS_NUMERIC

          public static final SparqlFunction IS_NUMERIC

    - #### IS_URI

          public static final SparqlFunction IS_URI

    - #### LANG

          public static final SparqlFunction LANG

    - #### LANGMATCHES

          public static final SparqlFunction LANGMATCHES

    - #### LCASE

          public static final SparqlFunction LCASE

    - #### MD5

          public static final SparqlFunction MD5

    - #### MINUTES

          public static final SparqlFunction MINUTES

    - #### MONTH

          public static final SparqlFunction MONTH

    - #### NOW

          public static final SparqlFunction NOW

    - #### RAND

          public static final SparqlFunction RAND

    - #### REGEX

          public static final SparqlFunction REGEX

    - #### REPLACE

          public static final SparqlFunction REPLACE

    - #### ROUND

          public static final SparqlFunction ROUND

    - #### SAME_TERM

          public static final SparqlFunction SAME_TERM

    - #### SECONDS

          public static final SparqlFunction SECONDS

    - #### SHA1

          public static final SparqlFunction SHA1

    - #### SHA256

          public static final SparqlFunction SHA256

    - #### SHA384

          public static final SparqlFunction SHA384

    - #### SHA512

          public static final SparqlFunction SHA512

    - #### STR

          public static final SparqlFunction STR

    - #### STRAFTER

          public static final SparqlFunction STRAFTER

    - #### STRBEFORE

          public static final SparqlFunction STRBEFORE

    - #### STRDT

          public static final SparqlFunction STRDT

    - #### STRENDS

          public static final SparqlFunction STRENDS

    - #### STRING

          public static final SparqlFunction STRING

    - #### STRLANG

          public static final SparqlFunction STRLANG

    - #### STRLEN

          public static final SparqlFunction STRLEN

    - #### STRSTARTS

          public static final SparqlFunction STRSTARTS

    - #### STRUUID

          public static final SparqlFunction STRUUID

    - #### SUBSTR

          public static final SparqlFunction SUBSTR

    - #### TIMEZONE

          public static final SparqlFunction TIMEZONE

    - #### TZ

          public static final SparqlFunction TZ

    - #### UCASE

          public static final SparqlFunction UCASE

    - #### URI

          public static final SparqlFunction URI

    - #### UUID

          public static final SparqlFunction UUID

    - #### YEAR

          public static final SparqlFunction YEAR

  - ### Method Detail

    - #### values

          public static SparqlFunction[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (SparqlFunction c : SparqlFunction.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static SparqlFunction valueOf​(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getQueryString

          public String getQueryString()

      Specified by:
        `getQueryString` in interface `QueryElement`
      Returns:
        the String representing the SPARQL syntax of this element